<?php

//this is required to use the $wpdb object
require_once('../../../../wp-load.php');
	
//START OUTPUT

//generate the xml header
header('Content-type: text/xml');
header('Pragma: public');
header('Cache-control: private');
header('Expires: -1');

$outstr =  '<?xml version="1.0" encoding="UTF-8" ?>';
$outstr .= '<featurednews>';

switch( get_option("dc_ln_news_mode") ){

	// Enter the news manually
	case "0":

		global $wpdb;
		$table_name=$wpdb->prefix."dc_ln_featured_news";
		$results = $wpdb->get_results("SELECT id, news_title, news_excerpt, url FROM $table_name ORDER BY id DESC LIMIT 1", ARRAY_A);

		if( count( $results ) > 0 ){
			foreach( $results as $result ){	
						
				$outstr .= "<news>";
				$outstr .=     "<id>" . $result['id'] . "</id>";
				$outstr .= 	   "<newstitle>" . esc_attr( stripslashes( $result['news_title'] ) )."</newstitle>";
				$outstr .= 	   "<newsexcerpt>" . esc_attr( stripslashes( strlen_no_truncate( $result['news_excerpt'] , get_option("dc_ln_excerpt_length") ) ) )."</newsexcerpt>";
				$outstr .=     "<url>" . esc_attr( stripslashes( $result['url'] ) )."</url>";
				$outstr .= "</news>";		

			}
		}
		break;

	// 1 -> Get the news automatically from the WordPress posts
	case "1":

		$args = array(
			'numberposts' => '1',
			'offset' => '0',
			'orderby' => get_option('dc_rpr_orderby'),
			'category' => get_option('dc_ln_category')
		);	

		$myposts = get_posts( $args );
		foreach( $myposts as $post ){

			setup_postdata( $post );

			$outstr .= "<news>";
			$outstr .=     "<id>" . $post->ID . "</id>";
			$outstr .= 	   "<newstitle>" . esc_attr( stripslashes( $post->post_title ) ) . "</newstitle>";
			$outstr .= 	   "<newsexcerpt>" . esc_attr( stripslashes( strlen_no_truncate( $post->post_excerpt , get_option("dc_ln_excerpt_length") ) ) ) . "</newsexcerpt>";
			$outstr .=     "<url>" . esc_attr( stripslashes( get_permalink( $post->ID ) ) ) ."</url>";
			$outstr .= "</news>";

		}
		break;

	// Get the news from a specified feed RSS
	case "2":

		include_once( ABSPATH . WPINC . '/feed.php' );

		// Get a SimplePie feed object from the specified feed source.
		$rss = fetch_feed( get_option('dc_ln_rss_url') );

		// Checks that the object is created correctly
		if ( ! is_wp_error( $rss ) ){

		    // Figure out how many total items there are, but limit it to 5. 
		    $maxitems = $rss->get_item_quantity( 1 ); 

		    // Build an array of all the items, starting with element 0 (first element).
		    $rss_items = $rss->get_items( 0, $maxitems );

			if( $maxitems > 0 ){

				foreach( $rss_items as $item ){	
							
					$outstr .= "<news>";
					$outstr .=     "<id>" . $result['id'] . "</id>";
					$outstr .= 	   "<newstitle>" . esc_attr( stripslashes( strip_tags( $item->get_title() ) ) )."</newstitle>";
					$outstr .= 	   "<newsexcerpt>" . esc_attr( stripslashes( strlen_no_truncate( strip_tags( $item->get_description() ) , get_option("dc_ln_excerpt_length") ) ) )."</newsexcerpt>";
					$outstr .=     "<url>" . esc_attr( stripslashes( $item->get_link() ) )."</url>";
					$outstr .= "</news>";		

				}

			}		    

		}

		break;

}

$outstr .= '</featurednews>';

echo $outstr;

//functions -----------------------------------------------------------------------------	

function strlen_no_truncate( $str, $length ){

	if (strlen($str) > $length) 
	{
	    $str = wordwrap($str, $length);
	    $str = substr($str, 0, strpos($str, "\n"));
	    $str = $str . ' ...';
	}

	return $str;

}

?>
