<?php

//create options
add_option('dc_ln_database_version',"0"); //database version ( 0 = not created | 1 = version 1 | 2 = version 2 | etc )
add_option('dc_ln_clock_offset',"0");//clock offset in seconds
add_option('dc_ln_main_color',"C90016");//main color
add_option('dc_ln_sliding_speed',"5");//sliding news speed
add_option('dc_ln_number_sliding_news',"10");//number of sliding news
add_option('dc_ln_default_status',"open");//default status of the news open/closed
add_option('dc_ln_font_family',"'Open Sans', sans-serif");//Font Family
add_option('dc_ln_google_fonts',"http://fonts.googleapis.com/css?family=Open+Sans:700,600,400");//Font Family
add_option('dc_ln_featured_title_font_size',"38");//Featured Title font size
add_option('dc_ln_featured_excerpt_font_size',"28");//Featured Excerpt font size
add_option('dc_ln_news_mode',"0");// 0 -> Manually entered 1 -> From the posts 2 -> From a specified feed RSS
add_option('dc_ln_rss_url',""); 
add_option('dc_ln_excerpt_length',"250");
add_option('dc_ln_category',"");
add_option('dc_ln_hide_featured',"0");//Hide the featured news 0 -> Visible | 1 -> Hidden
add_option('dc_ln_hide_clock',"0");//Hide the clock 0 -> Visible | 1 -> Hidden
add_option('dc_ln_rtl_layout',"0");//Activate the RTL layout 0 -> Inactive | 1 -> Activated

//hook
register_activation_hook(WP_PLUGIN_DIR.'/live-news/main.php','live_news_create_update_table');

//create or update tables
function live_news_create_update_table(){

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	
	//check database version and create the database
	if( intval(get_option('dc_ln_database_version')) < 1 ){
		
		//create *prefix*_dc_ln_featured_news
		global $wpdb;
		$table_name=$wpdb->prefix . "dc_ln_featured_news";
		$sql = "CREATE TABLE $table_name (
		  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		  news_title VARCHAR(100) DEFAULT '' NOT NULL,
		  news_excerpt VARCHAR(200) DEFAULT '' NOT NULL,
		  url VARCHAR(1000) DEFAULT '' NOT NULL
		)
		COLLATE = utf8_general_ci
		";
		
		dbDelta($sql);
		
		//create *prefix*_dc_ln_sliding_news
		global $wpdb;
		$table_name=$wpdb->prefix . "dc_ln_sliding_news";
		$sql = "CREATE TABLE $table_name (
		  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
		  news_title VARCHAR(100) DEFAULT '' NOT NULL,
		  url VARCHAR(1000) DEFAULT '' NOT NULL
		)
		COLLATE = utf8_general_ci
		";
		
		dbDelta($sql);
		
		//Update database version
		update_option('dc_wp_database_version',"1");
	
	}
	
}

?>
