<?php

//menu options
function dc_ln_menu_options() {
	
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
	?>
		
	<!-- process data *************************************************************************** -->
	
	<?php
	
	if(isset($_POST['form_submitted'])){
	
		//process the Clock Offset	
		if( isset( $_POST['clock_offset'] ) ){
			update_option('dc_ln_clock_offset', intval( $_POST['clock_offset'], 10 ) );				
		}

		//process the Sliding Speed
		if( isset( $_POST['sliding_speed'] ) ){
			if ( is_numeric( $_POST['sliding_speed'] ) and ( $_POST['sliding_speed'] >= 1 ) and ( $_POST['sliding_speed'] <= 10 ) ){
				update_option('dc_ln_sliding_speed', intval( $_POST['sliding_speed'], 10) );	
			}			
		}

		//process the Number of Sliding News
		if( isset( $_POST['number_sliding_news'] ) ){
			if ( is_numeric( $_POST['number_sliding_news'] ) and ( $_POST['number_sliding_news'] >= 1 ) ){
				update_option('dc_ln_number_sliding_news', intval( $_POST['number_sliding_news'], 10) );	
			}			
		}

		//Hide featured news
		if(isset($_POST['hide_featured'])){
			update_option('dc_ln_hide_featured',"1");
		}else{
			update_option('dc_ln_hide_featured',"0");
		}

		//Hide the clock
		if(isset($_POST['hide_clock'])){
			update_option('dc_ln_hide_clock',"1");
		}else{
			update_option('dc_ln_hide_clock',"0");
		}

		//RTL Layout
		if(isset($_POST['rtl_layout'])){
			update_option('dc_ln_rtl_layout',"1");
		}else{
			update_option('dc_ln_rtl_layout',"0");
		}

		//process the Main Color	
		if( isset( $_POST['main_color'] ) ){
			if ( preg_match( '/^[a-f0-9]{6}$/i', $_POST['main_color'] ) ){
				update_option('dc_ln_main_color', $_POST['main_color'] );	
			}
		}

		//Font Family
		if(isset($_POST['font_family'])){
			update_option('dc_ln_font_family',$_POST['font_family']);
		}

		//Google Fonts
		if(isset($_POST['google_fonts'])){
			update_option('dc_ln_google_fonts',$_POST['google_fonts']);
		}

		//Default status open/closed
		if(isset($_POST['default_status'])){
			update_option('dc_ln_default_status',"open");
		}else{
			update_option('dc_ln_default_status',"closed");
		}

		//process the featured title font size
		if( isset( $_POST['featured_title_font_size'] ) ){
			if ( is_numeric( $_POST['featured_title_font_size'] ) and ( intval( $_POST['featured_title_font_size'], 10 ) <= 50 ) ){
				update_option('dc_ln_featured_title_font_size', intval( $_POST['featured_title_font_size'], 10) );	
			}			
		}

		//process the featured excerpt font size
		if( isset( $_POST['featured_excerpt_font_size'] ) and ( intval( $_POST['featured_excerpt_font_size'], 10 ) <= 50 ) ){
			if ( is_numeric( $_POST['featured_excerpt_font_size'] ) ){
				update_option('dc_ln_featured_excerpt_font_size', intval( $_POST['featured_excerpt_font_size'], 10) );	
			}			
		}

		//News Mode
		if(isset($_POST['news_mode'])){
			update_option('dc_ln_news_mode', $_POST['news_mode'] );
		}

		//Category	
		if(isset($_POST['category'])){
			update_option('dc_ln_category',$_POST['category']);
		}

		//Offset
		if(isset($_POST['excerpt_length'])){
			update_option('dc_ln_excerpt_length', abs( intval( $_POST['excerpt_length'], 10 ) ) );				
		}

		//RSS URL
		if(isset($_POST['rss_url'])){
			update_option('dc_ln_rss_url',$_POST['rss_url']);
		}
		
	}
	
	?>
	
	<!-- output ******************************************************************************* -->

	<div class="wrap">

		<?php screen_icon( 'options-general' ); ?>
		<h2>Options</h2>

		<form method="POST" action="" id="dc-ln-options-form" >
			<table class="form-table">

				<input name="form_submitted" type="hidden" value="true">

				<tr valign="top">
					<td><h3>General</h3></td>
				</tr>	

				<!-- Clock Offset -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-clock-offset">Clock Offset ( seconds )</label></th>
					<td><input type="text" maxlength="6" size="6" name="clock_offset" id="dc-ln-clock-offset" value="<?php echo esc_attr( stripslashes( get_option('dc_ln_clock_offset') ) ); ?>" ></td>
				</tr>

				<!-- Sliding Speed -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-sliding-speed">Sliding Speed ( 1-10 )</label></th>
					<td><input type="text" maxlength="2" size="2" name="sliding_speed" id="dc-ln-sliding-speed" value="<?php echo esc_attr( stripslashes( get_option('dc_ln_sliding_speed') ) ); ?>" ></td>
				</tr>

				<!--Number of Sliding News -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-number-sliding-news">Number of Sliding News</label></th>
					<td><input type="text" maxlength="3" size="3" name="number_sliding_news" id="dc-ln-number_sliding_news" value="<?php echo esc_attr( stripslashes( get_option('dc_ln_number_sliding_news') ) ); ?>" ></td>
				</tr>

				<!-- Excerpt Length -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-excerpt-length">Excerpt Maximum Length</label></th>
					<td><input maxlength="5" size="5" name="excerpt_length" id="dc-ln-excerpt_length" value="<?php echo get_option('dc_ln_excerpt_length'); ?>" ></td>
				</tr>

				<!-- Default status of the news open/closed -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-default-status" >Open the news as a default behavior<br /><small>If the cookie that saves the last status is set, this value is ignored.</small></label></th>
					<td>
						<input id="dc-ln-default-status" type="checkbox" name="default_status" value="true" <?php checked( get_option('dc_ln_default_status'), "open" ); ?> />
					</td>
				</tr>

				<tr valign="top">
					<td><h3>News Style</h3></td>
				</tr>

				<!-- Hide Featured News -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-hide-featured" >Hide the featured news</label></th>
					<td>
						<input id="dc-ln-hide-featured" type="checkbox" name="hide_featured" value="true" <?php checked( get_option('dc_ln_hide_featured'), "1" ); ?> />
					</td>
				</tr>

				<!-- Hide Clock -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-hide-clock" >Hide the clock</label></th>
					<td>
						<input id="dc-ln-hide-clock" type="checkbox" name="hide_clock" value="true" <?php checked( get_option('dc_ln_hide_clock'), "1" ); ?> />
					</td>
				</tr>

				<!-- Enable RTL layout -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-rtl-layout" >Enable RTL Layout<br /><small>Arabic, Hebrew, Urdu, etc.</small></label></th>
					<td>
						<input id="dc-ln-rtl-layout" type="checkbox" name="rtl_layout" value="true" <?php checked( get_option('dc_ln_rtl_layout'), "1" ); ?> />
					</td>
				</tr>

				<!-- Main Color -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-main-color">Main Color<br /><small>Default: C90016</small></label></th>
					<td><input class="color" maxlength="6" size="6" name="main_color" id="dc-ln-main-color" value="<?php echo get_option('dc_ln_main_color'); ?>" ></td>
				</tr>

				<!-- font family -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-font-family">Font Family<br /><small>Default: 'Open Sans', sans-serif</small></label></th>
					<td><input maxlength="1000" size="60" name="font_family" id="dc-ln-font-family" value="<?php echo esc_attr( stripslashes ( get_option('dc_ln_font_family') ) ); ?>" ></td>
				</tr>

				<!-- google fonts -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-google-fonts">Google Fonts<br /><small>Default: http://fonts.googleapis.com/css?family=Open+Sans:700,600,400</small></label></th>
					<td><input maxlength="1000" size="60" name="google_fonts" id="dc-ln-google-fonts" value="<?php echo esc_attr( stripslashes ( get_option('dc_ln_google_fonts') ) ); ?>" ></td>
				</tr>

				<!-- Featured Title Font Size -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-featured-title-font-size">Featured Title Font Size ( px )<br /><small>Default: 38</small></label></th>
					<td><input type="text" maxlength="2" size="2" name="featured_title_font_size" id="dc-ln-featured-title-font-size" value="<?php echo esc_attr( stripslashes( get_option('dc_ln_featured_title_font_size') ) ); ?>" ></td>
				</tr>

				<!-- Featured Excerpt Font Size -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-featured-excerpt-font-size">Featured Excerpt Font Size ( px )<br /><small>Default: 28</small></label></th>
					<td><input type="text" maxlength="2" size="2" name="featured_excerpt_font_size" id="dc-ln-featured-excerpt-font-size" value="<?php echo esc_attr( stripslashes( get_option('dc_ln_featured_excerpt_font_size') ) ); ?>" ></td>
				</tr>

				<tr valign="top">
					<td><h3>News Source</h3></td>
				</tr>					

				<!-- News mode -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-news-mode" >News Mode</label></th>
					<td>
						<select id="dc-ln-news-mode" name="news_mode">

							<option value="0" <?php selected( get_option("dc_ln_news_mode") , "0" ); ?>>Manually Entered</option>
							<option value="1" <?php selected( get_option("dc_ln_news_mode") , "1" ); ?>>From the Posts</option>
							<option value="2" <?php selected( get_option("dc_ln_news_mode") , "2" ); ?>>From a feed RSS</option>

						</select>
					</td>
				</tr>

				<!-- Select the category -->

				<tr valign="top">
					<th scope="row"><label for="dc-ln-category" >Select the Category<br /><small>Works only in Posts mode</small></label></th>
					<td>
						<select id="dc-ln-category" name="category">

							<option value="" <?php selected( get_option("dc_ln_category") , "" ); ?>>All</option>

							<?php

							$args = array(
								'type' => 'post',
							 );
							$categories = get_categories( $args );
							foreach ( $categories as $category ) {
								echo '<option value="' . $category->term_id . '" ' . selected( get_option('dc_ln_category') , $category->term_id ) . ' >' . $category->name . '</option>';
							}

							?>

						</select>
					</td>
				</tr>

				<!-- rss url -->
				<tr valign="top">
					<th scope="row"><label for="dc-ln-rss-url">RSS URL<br /><small>Works only in RSS mode</small></label></th>
					<td><input maxlength="5000" size="60" name="rss_url" id="dc-ln-rss-url" value="<?php echo esc_attr( stripslashes ( get_option('dc_ln_rss_url') ) ); ?>" ></td>
				</tr>

				<!-- Submit Button -->
				<tr valign="top">
					<td>
						<input type="submit" name="save" value="Submit" class="button-primary" />
					</td>
				</tr>			


			</table>
		</form>
		
	</div>

	<?php
	
}

?>
