jQuery(document).ready(function($) {

	if ( ( $("#dc-ln-container").css("display") == "block" ) ){

		//refresh the news
		refresh_news();

	}

	function refresh_news(){

		update_the_clock();

		refresh_featured_news();

		refresh_sliding_news();

		slide_the_news();

	}

	function update_the_clock(){

		//get the current time with an ajax request
		$.post( dc_ln_plugin_url +"ajax/get_current_time.php", function( currentTime ) {
			
			//update the current time
			$("#dc-ln-clock").text(currentTime);

		});

	}

	function refresh_featured_news(){
		
		//set ajax in synchronous mode
		jQuery.ajaxSetup({async:false});

		//perform the ajax request
		$.post( dc_ln_plugin_url +"ajax/get_featured_news.php", function( xmlString ) {
			
			//parse the xml string
		    $(xmlString).find("news").each(function(){
				
				var news_title = $(this).find("newstitle").text();
				var news_excerpt = $(this).find("newsexcerpt").text();
				var url = $(this).find("url").text();
	
				//Delete the featured title
				$('#dc-ln-featured-title').html("");
				//Delete the featured excerpt
				$('#dc-ln-featured-excerpt').html("");

				if( url.length > 0 ){
					//Append the new featured title
					$('#dc-ln-featured-title').html( '<a href="' + url + '">' + htmlEscape( news_title ) + '</a>' );
					//Append the new featured excerpt
					$('#dc-ln-featured-excerpt').html( htmlEscape( news_excerpt ) );
				}else{
					//Append the new featured title
					$('#dc-ln-featured-title').html(  htmlEscape( news_title )  );
					//Append the new featured excerpt
					$('#dc-ln-featured-excerpt').html( htmlEscape( news_excerpt ) );					
				}
		    
		    });		
			
		});

		//set ajax in asynchronous mode
		jQuery.ajaxSetup({async:true});

	}

	function slide_the_news(){

		//if the news slider is already animated then return
		if( ( $('#dc-ln-slider-floating-content:animated').length ) == 1 ){ return; };

		//get browser with
		var window_width = $(window).width();

		//floating news witdh
		var floating_news_width =parseInt( $( "#dc-ln-slider-floating-content" ).css("width") );

		//check if is set the RTL layout option
		if( dc_ln_rtl_layout == false ){

			//LTR layout -----------------------------------------------------------------------

			//position outside the screen to the left
			var outside_left = floating_news_width + window_width;

			//set floating content left position outside the screen
			$( "#dc-ln-slider-floating-content" ).css("left", window_width );

			//start floating the news
			$( "#dc-ln-slider-floating-content" ).delay( 1000 ).animate({
				left: "-=" + outside_left,
				easing: "linear"
			}, ( outside_left * dc_ln_sliding_speed ), "linear", function() {
				//animation complete
				refresh_news();
			});

		}else{

			//RTL layout -----------------------------------------------------------------------

			//position outside the screen to the right
			var outside_right = floating_news_width + window_width;

			//set floating content left position outside the screen
			$( "#dc-ln-slider-floating-content" ).css("left", "auto" );
			$( "#dc-ln-slider-floating-content" ).css("right", window_width );

			//start floating the news
			$( "#dc-ln-slider-floating-content" ).delay( 1000 ).animate({
				right: "-=" + outside_right,
				easing: "linear"
			}, ( outside_right * dc_ln_sliding_speed ), "linear", function() {
				//animation complete
				refresh_news();
			});

		}

	}

	// functions -------------------------------------------------------------------------------------------



	//close button click event handler
	$("#dc-ln-close").click(function() {

		//Stop the animation
		$("#dc-ln-slider-floating-content").stop();

		//Delete the previous sliding news
		$('#dc-ln-slider-floating-content').empty();

		//Hide the news container
		$("#dc-ln-container").hide();

		//Show the open button
		$("#dc-ln-open").show();

		//Save the current status closed in a cookie
		var dc_ln_ajax_url = dc_ln_plugin_url + "ajax/set_status_cookie.php";
	    $.post( dc_ln_ajax_url , { status: "closed" } ,function( ajax_response ){
			if( ajax_response == "success" ){
				//nothing
			}      
	    });

		//set the status hidden field to closed
		$("#dc-ln-status").attr("value","closed");

	});

	//open button click event handler
	$("#dc-ln-open").click(function() {	

		//Show the news container
		$("#dc-ln-container").show();

		//Show the open button
		$("#dc-ln-open").hide();

		refresh_news();

		//Save the current status open in a cookie
		var dc_ln_ajax_url = dc_ln_plugin_url + "ajax/set_status_cookie.php";
	    $.post( dc_ln_ajax_url , { status: "open" } ,function( ajax_response ){
			if( ajax_response == "success" ){
				//nothing
			}      
	    });	

		//set the status hidden field to open
		$("#dc-ln-status").attr("value","open");

	});

	function refresh_sliding_news(){

		//Delete the previous sliding news
		$('#dc-ln-slider-floating-content').empty();
		
		//set ajax in synchronous mode
		jQuery.ajaxSetup({async:false});
		
		//perform the ajax request
		$.post( dc_ln_plugin_url +"ajax/get_sliding_news.php", function( xmlString ) {
			
			//parse the xml string
		    $(xmlString).find("news").each(function(){
				
				var news_title = $(this).find("newstitle").text();
				var url = $(this).find("url").text();	

				//check if is set the RTL layout option
				if( dc_ln_rtl_layout == false ){

					//LTR layout -----------------------------------------------------------------------
					if( url.length > 0 ){
						$('#dc-ln-slider-floating-content').append( '<div class="dc-ln-slider-single-news"><a href="' + url + '">' + htmlEscape( news_title ) + '</a></div>' );
					}else{
						$('#dc-ln-slider-floating-content').append( '<div class="dc-ln-slider-single-news">' + htmlEscape( news_title ) + '</div>' );
					}

				}else{

					//RTL layout -----------------------------------------------------------------------
					if( url.length > 0 ){
						$('#dc-ln-slider-floating-content').prepend( '<div class="dc-ln-slider-single-news"><a href="' + url + '">' + htmlEscape( news_title ) + '</a></div>' );
					}else{
						$('#dc-ln-slider-floating-content').prepend( '<div class="dc-ln-slider-single-news">' + htmlEscape( news_title ) + '</div>' );
					}

				}
		    });			
			
		});

		//set ajax in asynchronous mode
		jQuery.ajaxSetup({async:true});

	}

	function htmlEscape(str) {
	    return String(str)
	            .replace(/&/g, '&amp;')
	            .replace(/"/g, '&quot;')
	            .replace(/'/g, '&#39;')
	            .replace(/</g, '&lt;')
	            .replace(/>/g, '&gt;');
	}

	function htmlUnescape(value){
	    return String(value)
	        .replace(/&quot;/g, '"')
	        .replace(/&#39;/g, "'")
	        .replace(/&lt;/g, '<')
	        .replace(/&gt;/g, '>')
	        .replace(/&amp;/g, '&');
	}
	

});